package org.jeecg.modules.demo.linkpersonalidnumberdetection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.entity.LinkPersonalIdNumberDetection;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.entity.LinkPersonalIdNumberDetectionVo;

/**
 * @Description: 个人信息身份证号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-23
 * @Version: V1.0
 */
@Mapper
public interface LinkPersonalIdNumberDetectionVoMapper extends BaseMapper<LinkPersonalIdNumberDetectionVo> {

    @Select("select SUM(error_count) errorCount from link_personal_id_number_detection WHERE is_ignore = '2' and is_revise = '1' and main_site_url = #{mainSiteUrl} limit 1")
    LinkPersonalIdNumberDetectionVo listCountByMainUrl( @Param("mainSiteUrl") String mainSiteUrl);
}
