package org.jeecg.modules.demo.linkwechatbankcarddetection.service.impl;

import org.jeecg.modules.demo.linkwechatbankcarddetection.entity.LinkWechatBankCardDetection;
import org.jeecg.modules.demo.linkwechatbankcarddetection.mapper.LinkWechatBankCardDetectionMapper;
import org.jeecg.modules.demo.linkwechatbankcarddetection.service.ILinkWechatBankCardDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 微信银行卡号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWechatBankCardDetectionServiceImpl extends ServiceImpl<LinkWechatBankCardDetectionMapper, LinkWechatBankCardDetection> implements ILinkWechatBankCardDetectionService {

    @Autowired
    private LinkWechatBankCardDetectionMapper linkWechatBankCardDetectionMapper;

    @Override
    public Integer getSumStatistics(String msgBiz) {
        return linkWechatBankCardDetectionMapper.getSumStatistics(msgBiz);
    }
}
