package org.jeecg.modules.demo.linkweibopersonaliddetectionstatistics.service.impl;

import org.jeecg.modules.demo.linkweibopersonaliddetectionstatistics.entity.LinkWeiboPersonalIdDetectionStatistics;
import org.jeecg.modules.demo.linkweibopersonaliddetectionstatistics.mapper.LinkWeiboPersonalIdDetectionStatisticsMapper;
import org.jeecg.modules.demo.linkweibopersonaliddetectionstatistics.service.ILinkWeiboPersonalIdDetectionStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 微博身份证统计信息
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWeiboPersonalIdDetectionStatisticsServiceImpl extends ServiceImpl<LinkWeiboPersonalIdDetectionStatisticsMapper, LinkWeiboPersonalIdDetectionStatistics> implements ILinkWeiboPersonalIdDetectionStatisticsService {


    @Autowired
    private LinkWeiboPersonalIdDetectionStatisticsMapper linkWeiboPersonalIdDetectionStatisticsMapper;

    @Override
    public Integer getSumStatistics(String id) {
        return linkWeiboPersonalIdDetectionStatisticsMapper.getSumStatistics(id);
    }
}
