package org.jeecg.modules.demo.linkpersonalbankcarddetection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.entity.LinkPersonalBankCardDetection;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.entity.LinkPersonalBankCardDetectionVo;

/**
 * @Description: 个人信息银行卡号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-23
 * @Version: V1.0
 */
@Mapper
public interface LinkPersonalBankCardDetectionVoMapper extends BaseMapper<LinkPersonalBankCardDetectionVo> {

    @Select("select SUM(error_count) errorCount from link_personal_bank_card_detection WHERE is_ignore = '2' and is_revise = '1' and main_site_url = #{mainSiteUrl} limit 1")
    LinkPersonalBankCardDetectionVo listCountByMainUrl(String mainSiteUrl);
}
