package org.jeecg.modules.demo.linkpersonalidnumberdetection.service.impl;

import org.jeecg.modules.demo.linkpersonalidnumberdetection.entity.LinkPersonalIdNumberDetection;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.mapper.LinkPersonalIdNumberDetectionMapper;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.service.ILinkPersonalIdNumberDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 个人信息身份证号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-23
 * @Version: V1.0
 */
@Service
public class LinkPersonalIdNumberDetectionServiceImpl extends ServiceImpl<LinkPersonalIdNumberDetectionMapper, LinkPersonalIdNumberDetection> implements ILinkPersonalIdNumberDetectionService {

    @Autowired
    private LinkPersonalIdNumberDetectionMapper linkPersonalIdNumberDetectionMapper;

    @Override
    public LinkPersonalIdNumberDetection listCountByMainUrl(String mainSiteUrl) {
        return linkPersonalIdNumberDetectionMapper.listCountByMainUrl(mainSiteUrl);
    }
}
