package org.jeecg.modules.demo.linkwechatphonedetection.service.impl;

import org.jeecg.modules.demo.linkwechatphonedetection.entity.LinkWechatPhoneDetection;
import org.jeecg.modules.demo.linkwechatphonedetection.mapper.LinkWechatPhoneDetectionMapper;
import org.jeecg.modules.demo.linkwechatphonedetection.service.ILinkWechatPhoneDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 微信手机号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWechatPhoneDetectionServiceImpl extends ServiceImpl<LinkWechatPhoneDetectionMapper, LinkWechatPhoneDetection> implements ILinkWechatPhoneDetectionService {


    @Autowired
    private LinkWechatPhoneDetectionMapper linkWechatPhoneDetectionMapper;

    @Override
    public Integer getSumStatistics(String msgBiz) {
        return linkWechatPhoneDetectionMapper.getSumStatistics(msgBiz);
    }
}
