package org.jeecg.modules.demo.linkweibobankcarddetectionstatistics.service.impl;

import org.jeecg.modules.demo.linkweibobankcarddetectionstatistics.entity.LinkWeiboBankCardDetectionStatistics;
import org.jeecg.modules.demo.linkweibobankcarddetectionstatistics.mapper.LinkWeiboBankCardDetectionStatisticsMapper;
import org.jeecg.modules.demo.linkweibobankcarddetectionstatistics.service.ILinkWeiboBankCardDetectionStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 微博银行卡统计信息
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWeiboBankCardDetectionStatisticsServiceImpl extends ServiceImpl<LinkWeiboBankCardDetectionStatisticsMapper, LinkWeiboBankCardDetectionStatistics> implements ILinkWeiboBankCardDetectionStatisticsService {


    @Autowired
    private LinkWeiboBankCardDetectionStatisticsMapper linkWeiboBankCardDetectionStatisticsMapper;

    @Override
    public Integer getSumStatistics(String id) {
        return linkWeiboBankCardDetectionStatisticsMapper.getSumStatistics(id);
    }
}
