package org.jeecg.modules.demo.linkweibophonedetection.service.impl;

import org.jeecg.modules.demo.linkweibophonedetection.entity.LinkWeiboPhoneDetection;
import org.jeecg.modules.demo.linkweibophonedetection.mapper.LinkWeiboPhoneDetectionMapper;
import org.jeecg.modules.demo.linkweibophonedetection.service.ILinkWeiboPhoneDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 微博手机号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWeiboPhoneDetectionServiceImpl extends ServiceImpl<LinkWeiboPhoneDetectionMapper, LinkWeiboPhoneDetection> implements ILinkWeiboPhoneDetectionService {

    @Autowired
    private LinkWeiboPhoneDetectionMapper linkWeiboPhoneDetectionMapper;

    @Override
    public Integer getSumStatistics(String id) {
        return linkWeiboPhoneDetectionMapper.getSumStatistics(id);
    }
}
