package org.jeecg.modules.demo.linkweibophonedetection.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.demo.linkweibophonedetection.entity.LinkWeiboPhoneDetection;
import org.jeecg.modules.demo.linkweibophonedetection.entity.LinkWeiboPhoneDetectionVo;
import org.jeecg.modules.demo.linkweibophonedetection.mapper.LinkWeiboPhoneDetectionMapper;
import org.jeecg.modules.demo.linkweibophonedetection.mapper.LinkWeiboPhoneDetectionVoMapper;
import org.jeecg.modules.demo.linkweibophonedetection.service.ILinkWeiboPhoneDetectionService;
import org.jeecg.modules.demo.linkweibophonedetection.service.ILinkWeiboPhoneDetectionVoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 微博手机号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWeiboPhoneDetectionVoServiceImpl extends ServiceImpl<LinkWeiboPhoneDetectionVoMapper, LinkWeiboPhoneDetectionVo> implements ILinkWeiboPhoneDetectionVoService {

    @Autowired
    private LinkWeiboPhoneDetectionVoMapper linkWeiboPhoneDetectionVoMapper;

    @Override
    public Integer getSumStatistics(String id) {
        return linkWeiboPhoneDetectionVoMapper.getSumStatistics(id);
    }
}
