package org.jeecg.modules.demo.pagecontentcapture.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.demo.pagecontentcapture.entity.PageContentCapture;
import org.jeecg.modules.demo.pagecontentcapture.entity.PageContentCaptureVo;

import java.util.List;

/**
 * @Description: 页面内容抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-17
 * @Version: V1.0
 */
public interface IPageContentCaptureVoService extends IService<PageContentCaptureVo> {

    List<PageContentCaptureVo> listCount();

    PageContentCaptureVo listCountByMainUrl(String mainUrl);

    List<PageContentCaptureVo> listPage(Integer i, Integer pageSize,String mainSiteUrl);
}
