package org.jeecg.modules.demo.wechatpostsword.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.demo.wechatpostsword.entity.WechatPostsWord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 微信公众号文章错敏词
 * @Author: jeecg-boot
 * @Date:   2023-06-28
 * @Version: V1.0
 */
@Mapper
public interface WechatPostsWordMapper extends BaseMapper<WechatPostsWord> {

    @Select("select sum(sensitive_count) from wechat_posts_word  where is_ignore = 2 and modify_state = 1 and wechat_id = #{wexintId}")
    Integer getSumSensitiveCount(String wexintId);
}
